<?php
#-----------------------------------------------------#
#          ********* ROTORCMS *********               #
#              Made by  :  VANTUZ                     #
#               E-mail  :  visavi.net@mail.ru         #
#                 Site  :  http://pizdec.ru           #
#             WAP-Site  :  http://visavi.net          #
#                  ICQ  :  36-44-66                   #
#  Вы не имеете право вносить изменения в код скрипта #
#        для его дальнейшего распространения          #
#-----------------------------------------------------#	
require_once ('../includes/start.php');
require_once ('../includes/functions.php');
require_once ('../includes/header.php');
include_once ('../themes/' . $config['themes'] . '/index.php');

if (empty($_GET['uz'])) {
  $uz = check($log);
} else {
  $uz = check(strval($_GET['uz']));
} 
if (isset($_GET['act'])) {
  $act = check($_GET['act']);
} else {
  $act = 'index';
} 

switch ($act):
# ###########################################################################################
# #                                    Главная страница                                    ##
# ###########################################################################################
case 'index':

  $queryuser = DB :: $dbh -> query("SELECT * FROM `users` WHERE `users_login`=? LIMIT 1;", array($uz));
  $data = $queryuser -> fetch();

  if (!empty($data)) {
    $config['newtitle'] = 'Анкета пользователя ' . nickname($data['users_login']);

    echo '<div class="b">' . user_avatars($uz) . ' <b>Анкета ' . nickname($uz) . ' </b> ' . user_visit($uz) . '</div>';

    if ($data['users_confirmreg'] == 1) {
      echo '<b><span style="color:#ff0000">Внимание, аккаунт требует подтверждение регистрации!</span></b><br />';
    } 

    if ($data['users_ban'] == 1 && $data['users_timeban'] > SITETIME) {
      echo '<b><span style="color:#ff0000">Внимание, юзер находится в бане!</span></b><br />';
      echo 'До окончания бана осталось ' . formattime($data['users_timeban'] - SITETIME) . '<br />';
      echo 'Причина: ' . $data['users_reasonban'] . '<br />';
    } 

    if (!empty($data['users_picture']) && file_exists(BASEDIR . 'gallery/photos/' . $data['users_picture'])) {
      echo '<div class="imgright"><a href="../gallery/photos/' . $data['users_picture'] . '">';
      echo '<img src="../gallery/resize.php?dir=gallery/photos&amp;name=' . $data['users_picture'] . '" alt="Фото" /></a></div>';
    } else {
      echo '<div class="imgright"><img src="../images/img/photo.jpg" alt="Фото" /></div>';
    } 

    echo 'Cтатус: <b><a href="statusfaq.php?' . SID . '">' . user_title($data['users_login']) . '</a></b><br />';

    if ($data['users_level'] >= 101 && $data['users_level'] <= 105) {
      echo 'Должность: <b>' . user_status($data['users_level']) . '</b><br />';
    } 
    echo 'Пол: ';
    if ($data['users_gender'] == "М") {
      echo 'Мужской <br />';
    } elseif ($data['users_gender'] == "Ж") {
      echo 'Женский<br />';
    } else {
      echo 'Не указан<br />';
    } 

    echo 'Логин: <b>' . $data['users_login'] . '</b><br />';
    if (!empty($data['users_nickname'])) {
      echo 'Ник: <b>' . $data['users_nickname'] . '</b><br />';
    } 
    if (!empty($data['users_name'])) {
      echo 'Имя: <b>' . $data['users_name'] . '<br /></b>';
    } 
    if (!empty($data['users_country'])) {
      echo 'Страна: <b>' . $data['users_country'] . '<br /></b>';
    } 
    if (!empty($data['users_city'])) {
      echo 'Откуда: ' . $data['users_city'] . '<br />';
    } 
    if (!empty($data['users_info'])) {
      echo 'О себе: ' . $data['users_info'] . '<br />';
    } 
    if (!empty($data['users_birthday'])) {
      echo 'Дата рождения: ' . $data['users_birthday'] . '<br />';
    } 
    if (!empty($data['users_icq'])) {
      echo '<img src="http://web.icq.com/whitepages/online?icq=' . $data['users_icq'] . '&amp;img=5" alt="icq" /> ICQ: ' . $data['users_icq'] . ' <br />';
    } 
    if (!empty($data['users_jabber'])) {
      echo 'Jabber: ' . $data['users_jabber'] . ' <br />';
    } 

    echo 'Всего посeщений: ' . $data['users_visits'] . '<br />';
    echo 'Сообщений на форуме: ' . $data['users_allforum'] . '<br />';
    echo 'Сообщений в гостевой: ' . $data['users_allguest'] . '<br />';
    echo 'Комментариев: ' . $data['users_allcomments'] . '<br />';
    echo 'Актив: ' . points($data['users_point']) . ' <br />';
    echo 'Число нарушений: ' . $data['users_totalban'] . ' <br />';
    echo 'Авторитет: ' . $data['users_rating'] . ' (+' . $data['users_posrating'] . '/-' . $data['users_negrating'] . ')<br />';

    if (is_user() && $log != $uz) {
      echo '[ <a href="rating.php?uz=' . $uz . '&amp;act=plus&amp;uid=' . $_SESSION['token'] . '&amp;' . SID . '"><img src="../images/img/plus.gif" alt="Плюс" /><span style="color:#0099cc"> Плюс</span></a> / ';
      echo '<a href="rating.php?uz=' . $uz . '&amp;act=minus&amp;uid=' . $_SESSION['token'] . '&amp;' . SID . '"><span style="color:#ff0000">Минус</span> <img src="../images/img/minus.gif" alt="Минус" /></a> ]<br />';
    } 

    echo 'Всего денег: ' . moneys(user_bankmoney($uz) + $data['users_money']) . '<br />';
    echo 'На руках: ' . moneys($data['users_money']) . '<br />';
    echo 'В банке: ' . moneys(user_bankmoney($uz)) . '<br />';
    if ($data['users_sumcredit'] > 0) {
      echo 'Задолженность по кредиту: ' . moneys($data['users_sumcredit']) . '<br />';
    } 

    echo 'Используемый скин: ' . $data['users_themes'] . '<br />';
    echo 'Дата регистрации: ' . date_fixed($data['users_joined'], 'j F Y') . '<br />';
    echo 'Последняя авторизация: ' . date_fixed($data['users_timelastlogin']) . '<br />';

    $queryvisit = DB :: $dbh -> query("SELECT * FROM `visit` WHERE `visit_user`=? LIMIT 1;", array($uz));
    $visit = $queryvisit -> fetch();
    if (!empty($visit)) {
      echo 'Провел на сайте: ' . makestime($visit['visit_alltime']) . '<br />';
      echo 'Всего переходов: ' . $visit['visit_allcount'] . '<br />';
    } 

    echo '<b><a href="../forum/active.php?act=themes&amp;uz=' . $uz . '&amp;' . SID . '">Темы</a></b> / ';
    echo '<b><a href="../forum/active.php?act=posts&amp;uz=' . $uz . '&amp;' . SID . '">Сообщения</a></b> / ';
/*     echo '<b><a href="../load/active.php?act=scripts&amp;uz=' . $uz . '&amp;' . SID . '">Скрипты</a></b> / ';
    echo '<b><a href="../load/active.php?act=comments&amp;uz=' . $uz . '&amp;' . SID . '">Комментарии</a></b> / '; */
    echo '<b><a href="../blog/active.php?act=blogs&amp;uz=' . $uz . '&amp;' . SID . '">Статьи</a></b> / ';
    echo '<b><a href="../gallery/index.php?act=album&amp;uz=' . $uz . '&amp;' . SID . '">Фото</a></b><br />';

    if (is_admin(array(101, 102, 103, 105))) {
      echo '<div class="form">';
      echo '<img src="../images/img/pin.gif" alt="Заметка" /> <b>Заметка:</b> (<a href="anketa.php?act=note&amp;uz=' . $uz . '&amp;' . SID . '">Изменить</a>)<br />';

      if (!empty($data['users_note'])) {
        echo bb_code($data['users_note']) . '<br />';
      } else {
        echo'Записей еще нет!<br />';
      } 

      echo '</div>';
    } 

    echo '<div class="b">';
    echo '<img src="../images/img/wall.gif" alt="Стена" /> <a href="wall.php?uz=' . $uz . '&amp;' . SID . '">Стена сообщений</a> (' . user_wall($uz) . ')<br />';

    if ($uz != $log) {
      echo '<img src="../images/img/users.gif" alt="Добавить" /> Добавить в ';
      echo '<a href="contact.php?act=add&amp;uz=' . $uz . '&amp;uid=' . $_SESSION['token'] . '&amp;' . SID . '">контакт</a> / ';
      echo '<a href="ignore.php?act=add&amp;uz=' . $uz . '&amp;uid=' . $_SESSION['token'] . '&amp;' . SID . '">игнор</a><br />';
      echo '<img src="../images/img/mail.gif" alt="Отправить" /> <a href="privat.php?act=submit&amp;uz=' . $uz . '&amp;' . SID . '">Отправить сообщение</a><br />';

      echo '<img src="../images/img/money.gif" alt="Перечислить" /> <a href="../games/perevod.php?uz=' . $uz . '&amp;' . SID . '">Перечислить денег</a><br />';

      if (!empty($data['users_person'])) {
        echo '<img src="../images/img/person.gif" alt="Персонаж" /> <a href="../games/person.php?uz=' . $uz . '&amp;' . SID . '">Игровой персонаж</a><br />';
      } 
      if (!empty($data['users_site'])) {
        echo '<img src="../images/img/homepage.gif" alt="Перейти" /> <a href="' . $data['users_site'] . '">Перейти на сайт ' . $uz . '</a><br />';
      } 

      if (is_admin(array(101, 102, 103))) {
        echo '<img src="../images/img/error.gif" alt="Бан" /> <a href="' . ADMINDIR . 'zaban.php?act=edit&amp;uz=' . $uz . '&amp;' . SID . '">Бан / Разбан</a><br />';
      } 

      if (is_admin(array(101, 102))) {
        echo '<img src="../images/img/panel.gif" alt="Редактировать" /> <a href="' . ADMINDIR . 'users.php?act=edit&amp;uz=' . $uz . '&amp;' . SID . '">Редактировать</a><br />';
      } 
    } else {
      echo '<img src="../images/img/user.gif" alt="Профиль" /> <a href="profil.php?' . SID . '">Мой профиль</a><br />';
      echo '<img src="../images/img/account.gif" alt="Данные" /> <a href="account.php?' . SID . '">Мои данные</a><br />';
      echo '<img src="../images/img/panel.gif" alt="Настройки" /> <a href="setting.php?' . SID . '">Настройки</a><br />';
    } 

    echo '</div>';
  } else {
    show_title('stop.png', 'Пользователь не найден');
    show_error('Ошибка! Пользователь с данным логином  не зарегистрирован!');
  } 
  break;
# ###########################################################################################
# #                                      Редактирование                                    ##
# ###########################################################################################
case "note":

  show_title('site.png', 'Заметка для пользователя ' . nickname($uz));

  if (is_admin(array(101, 102, 103, 105))) {
    $queryuser = DB :: $dbh -> query("SELECT * FROM `users` WHERE `users_login`=? LIMIT 1;", array($uz));
    $data = $queryuser -> fetch();

    if (!empty($data)) {
      echo '<div class="form">';
      echo '<form action="anketa.php?act=editnote&amp;uz=' . $uz . '&amp;uid=' . $_SESSION['token'] . '&amp;' . SID . '" name="form" method="post">';
      echo 'Заметка:<br />';
      $data['users_note'] = str_replace('<br />', "\r\n", $data['users_note']);
      echo '<textarea cols="25" rows="5" name="note">' . $data['users_note'] . '</textarea><br />';

      if (!empty($udata['users_bbpanel'])) {
        quickpaste('note');
        quickcode();
        quicksmiles();
      } 

      echo '<input value="Сохранить" type="submit" /></form></div><br />';
    } else {
      show_error('Ошибка! Пользователя с данным логином не существует!');
    } 
  } else {
    show_error('Ошибка! Данная страница доступна только администрации!');
  } 

  echo '<img src="../images/img/back.gif" alt="Назад" /> <a href="anketa.php?uz=' . $uz . '&amp;' . SID . '">Вернуться</a><br />';
  break;
# ###########################################################################################
# #                                    Изменене заметки                                    ##
# ###########################################################################################
case "editnote":

  $uid = check($_GET['uid']);
  $note = check($_POST['note']);

  if (is_admin(array(101, 102, 103, 105))) {
    if ($uid == $_SESSION['token']) {
      $queryuser = DB :: $dbh -> query("SELECT * FROM `users` WHERE `users_login`=? LIMIT 1;", array($uz));
      $user = $queryuser -> fetch();

      if (!empty($user)) {
        if (utf_strlen($note) <= 1000) {
          $note = no_br($note);

          DB :: $dbh -> query("UPDATE `users` SET `users_note`=? WHERE `users_login`=?;", array($note, $uz));

          $_SESSION['note'] = 'Заметка успешно сохранена!';
          header("location: anketa.php?uz=$uz&" . SID);
          exit;
        } else {
          show_error('Ошибка! Слишком большая заметка, не более 1000 символов!');
        } 
      } else {
        show_error('Ошибка! Пользователя с данным логином не существует!');
      } 
    } else {
      show_error('Ошибка! Неверный идентификатор сессии, повторите действие!');
    } 
  } else {
    show_error('Ошибка! Данная страница доступна только администрации!');
  } 

  echo '<img src="../images/img/back.gif" alt="Назад" /> <a href="anketa.php?act=note&amp;uz=' . $uz . '&amp;' . SID . '">Вернуться</a><br />';
  break;

default:
  header('location: anketa.php?' . SID);
  exit;
  endswitch;

  echo '<img src="../images/img/homepage.gif" alt="Главная" /> <a href="../index.php?' . SID . '">На главную</a>';
  include_once "../themes/" . $config['themes'] . "/foot.php";

  ?>